org.eclipse.wst.jsdt.core.infer

## Class InferrenceSupportExtension

- java.lang.Object
- - org.eclipse.wst.jsdt.core.infer.InferrenceSupportExtension

    public class InferrenceSupportExtension
    extends java.lang.Object

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`InferrenceProvider` `inferProvider`

### Constructor Summary

Constructors
Constructor and Description
`InferrenceSupportExtension()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### inferProvider

    public InferrenceProvider inferProvider

### Constructor Detail

#### InferrenceSupportExtension

    public InferrenceSupportExtension()